Bug 200784 - Make class names left-aligned
Make class names left-aligned
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 7.1
Assigned To: Jiri Sedlacek
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-09 11:10 UTC by _ rkubacki
Modified: 2011-08-24 15:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ rkubacki 2011-08-09 11:10:07 UTC
The names of classes (both fully qualified or not) are a text and they are hard to scan when they are right-aligned in tables (both fields/outgoing and references/incoming). Please make them right aligned.
Comment 1 Tomas Hurka 2011-08-10 04:59:20 UTC
Are you talking about heapwalker?
Comment 2 _ rkubacki 2011-08-10 07:24:41 UTC
Yes.
Comment 3 Tomas Hurka 2011-08-10 09:11:45 UTC
(In reply to comment #0)
> The names of classes (both fully qualified or not) are a text and they are hard
> to scan when they are right-aligned in tables (both fields/outgoing and
                                      ^^^^^^^^^^^^^^^^^^

> references/incoming). Please make them right aligned.
                                                                   ^^^^^^^^^^^

I think this issue is fixed by default. :-)
Comment 4 _ rkubacki 2011-08-10 09:25:45 UTC
Oops, I am stupid. I wrote it correctly in title and then made a mistake in comment :-(
It looks that you know what I meant though.
Comment 5 Jiri Sedlacek 2011-08-11 10:01:34 UTC
Ahoj Radime, could you please describe your motivation/scenario a bit? I think I've got the point, but just want to be sure there's no better way to address your needs.
Comment 6 _ rkubacki 2011-08-11 12:33:58 UTC
1. I turn off 'type' and turn on 'full type' column. Non-trivial projects always have too many classes to know all of them by name (think about libraries). BTW: there is RFE to make that customization persistent.
2. Now the logical grouping is described by package names and here it makes more sense to look at left aligned names

org.acme.foo.Bar
org.acme.foo.SomeStrangeUtility
org.acme.another.package.Hello
java.util.Map

If you make these right aligned the proximity of class names cannot be detected easily because the shared part of name starts at a different offset.
Comment 7 Jiri Sedlacek 2011-08-11 14:02:13 UTC
Fixed in profiler-main.

http://hg.netbeans.org/profiler-main/rev/1fbe404c5e51


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo